<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.activities.mapper.PrizeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="prizeResultMap" type="org.springblade.modules.activities.entity.Prize">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="prize_type" property="prizeType"/>
        <result column="prize_image" property="prizeImage"/>
        <result column="prize_name" property="prizeName"/>
        <result column="real_prize_id" property="realPrizeId"/>
        <result column="prize_value" property="prizeValue"/>
        <result column="ratio" property="ratio"/>
        <result column="current_num" property="currentNum"/>
        <result column="max_num" property="maxNum"/>
    </resultMap>


    <select id="selectPrizePage" resultMap="prizeResultMap">
        select * from biz_prize where is_delete = 0
    </select>

</mapper>
